Add bionic to distro-info-data

Bug #1727046 reported by Stefano Rivera on 2017-10-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
distro-info-data (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

It's that time of year.

== SRU Impact ==

Several tools rely on distro-info to tell them which releases are available.
This package just contains data, with no format changes.

== Regression Potential ==

Minimal, if we are only adding new entries. We do this every release.

== Test Case ==
"ubuntu-distro-info -d" should return "bionic" not an error that the data is out of date.

"ubuntu-distro-info -df" should name the release in full: Ubuntu 18.04 LTS "Bionic Beaver"

Hello Stefano, or anyone else affected,

Accepted distro-info-data into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.36ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in distro-info-data (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful
Changed in distro-info-data (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed-zesty
Steve Langasek (vorlon) wrote :

Hello Stefano, or anyone else affected,

Accepted distro-info-data into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.33ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) wrote :

Hello Stefano, or anyone else affected,

Accepted distro-info-data into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.28ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in distro-info-data (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Changed in distro-info-data (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Steve Langasek (vorlon) wrote :

Hello Stefano, or anyone else affected,

Accepted distro-info-data into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/distro-info-data/0.18ubuntu0.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) on 2017-10-24
Changed in distro-info-data (Ubuntu Precise):
status: New → Won't Fix
tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.28ubuntu0.4

---------------
distro-info-data (0.28ubuntu0.4) xenial; urgency=medium

  * Copy data from 0.37
    - Set EOL date for Debian Wheezy.
    - Set (provisional) EOL date for Debian Jessie.
    - Set release date for Stretch (and matching creation date for Buster).
    - Add Ubuntu 18.04 LTS Bionic Beaver. (LP: #1727046)

 -- Stefano Rivera <email address hidden> Tue, 24 Oct 2017 13:23:02 -0700

Changed in distro-info-data (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for distro-info-data has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Steve Langasek (vorlon) on 2017-10-25
tags: added: verification-done-artful
removed: verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.36ubuntu0.1

---------------
distro-info-data (0.36ubuntu0.1) artful; urgency=medium

  * Copy data from 0.37
    - Add Ubuntu 18.04 LTS Bionic Beaver. (LP: #1727046)

 -- Stefano Rivera <email address hidden> Tue, 24 Oct 2017 13:27:47 -0700

Changed in distro-info-data (Ubuntu Artful):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2017-10-25
tags: added: verification-done-zesty
removed: verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.33ubuntu0.2

---------------
distro-info-data (0.33ubuntu0.2) zesty; urgency=medium

  * Copy data from 0.37
    - Set EOL date for Debian Wheezy.
    - Set (provisional) EOL date for Debian Jessie.
    - Set release date for Stretch (and matching creation date for Buster).
    - Add Ubuntu 18.04 LTS Bionic Beaver. (LP: #1727046)

 -- Stefano Rivera <email address hidden> Tue, 24 Oct 2017 13:24:51 -0700

Changed in distro-info-data (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.37

---------------
distro-info-data (0.37) unstable; urgency=medium

  * Add Ubuntu 18.04 LTS Bionic Beaver. (LP: #1727046)

 -- Stefano Rivera <email address hidden> Tue, 24 Oct 2017 13:11:56 -0700

Changed in distro-info-data (Ubuntu Bionic):
status: New → Fix Released
Stefano Rivera (stefanor) wrote :

LGTM in trusty. Didn't check Juju but apparently that wasn't affected in trusty...

tags: added: verification-done-trusty
removed: verification-needed-trusty
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package distro-info-data - 0.18ubuntu0.8

---------------
distro-info-data (0.18ubuntu0.8) trusty; urgency=medium

  * Copy data from 0.37
    - Set EOL date for Debian Wheezy.
    - Set (provisional) EOL date for Debian Jessie.
    - Set release date for Stretch (and matching creation date for Buster).
    - Add Ubuntu 18.04 LTS Bionic Beaver. (LP: #1727046)

 -- Stefano Rivera <email address hidden> Tue, 24 Oct 2017 13:19:26 -0700

Changed in distro-info-data (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers